package org.rcisoft.business.memGoldCoinFlow.dao;

import org.rcisoft.business.memGoldCoinFlow.entity.MemGoldCoinFlow;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import javax.persistence.criteria.CriteriaBuilder;
import java.util.List;

/**
* Created with cy on 2025年2月7日 上午10:11:22.
*/

public interface MemGoldCoinFlowRepository extends CyBaseMapper<MemGoldCoinFlow> {


    List<MemGoldCoinFlow> queryMemGoldCoinFlows(@Param("entity") MemGoldCoinFlow memGoldCoinFlow);

    /**
    * 管理端分页查询金币流水
    *
    */
    IPage<MemGoldCoinFlow> queryMemGoldCoinFlowsPaged(CyPageInfo cyPageInfo,@Param("entity") MemGoldCoinFlow memGoldCoinFlow);

    /**
     * app分页查询金币流水
     *
     */
    IPage<MemGoldCoinFlow> appQueryMemGoldCoinFlowsPaged(CyPageInfo cyPageInfo,@Param("entity") MemGoldCoinFlow memGoldCoinFlow);

    /**
     * 查询当前用户金币余额
     */
    Integer balance(Integer userId);

    int insertMemGoldCoinFlow(@Param("entity") MemGoldCoinFlow memGoldCoinFlow);
}

